/*
 * Copyright (C) 2016 Fairphone B.V.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */


package com.fairphone.hiccup.app;

import android.provider.BaseColumns;

final class HiccupReportDBContract {
    // To prevent someone from accidentally instantiating the contract class,
    // give it an empty constructor.
    public HiccupReportDBContract() {
    }

    /* Inner class that defines the table contents */
    static abstract class reportEntry implements BaseColumns {
        static final String TABLE_NAME = "crashreports";
        static final String COLUMN_NAME_BUILDFINGERPRINT = "buildfingerprint";
        static final String COLUMN_NAME_BOOTREASON = "boot_reason";
        static final String COLUMN_NAME_POWERONREASON = "power_on_reason";
        static final String COLUMN_NAME_POWEROFFREASON = "power_off_reason";
        static final String COLUMN_NAME_AUX_DATA = "aux_data";
        static final String COLUMN_NAME_DATE = "date";
        static final String COLUMN_NAME_LOGFILE_PATH = "logfile_path";
        static final String COLUMN_NAME_UPLOAD_COMPLETE = "upload_completed";
        static final String COLUMN_NAME_DEVICE_LOCAL_ID = "device_local_id";
        static final String COLUMN_NAME_UPTIME = "uptime";
        static final String COLUMN_NAME_REPORT_TYPE = "report_type";
    }
}